Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf
Class CxfConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.cxf.CxfConnector

All Implemented Interfaces:
  ExceptionListener, EventListener, javax.resource.spi.work.WorkListener, MuleContextAware, ServerNotificationListener<ServiceNotification>, ServiceNotificationListener<ServiceNotification>, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Connectable, Connector

Direct Known Subclasses:
  CxfWsdlConnector

    public class CxfConnector

extends AbstractConnector
implements ServiceNotificationListener<ServiceNotification>

Connects Mule to a CXF bus instance.

Field Summary
`static String` | `BUS_PROPERTY`
`static String` | `CONFIGURATION_LOCATION`
`static String` | `CXF`
`static String` | `CXF_SERVICE_COMPONENT_NAME`
`static String` | `DEFAULT_MULE_NAMESPACE_URI`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatchers, disposed, exceptionListener, initialised, initialStateStopped, logger, muleContext, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, started, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`CxfConnector()`

Method Summary
`protected String` | `createServiceName(org.apache.cxf.endpoint.Endpoint endpoint)` Build a unique name for the endpoint that is well suited for exposure by JMX.
`protected void` | `doConnect()` Template method where any connections should be made for the connector
`protected void` | `doDisconnect()` Template method where any connected resources used by the connector should be disconnected
`protected void` | `doDispose()` Template method to perform any work when destroying the connectoe
`protected void` | `doInitialise()`
`protected void` | `doStart()` Template method to perform any work when starting the connectoe
`protected void` | `doStop()` Template method to perform any work when stopping the connectoe
`protected void` | `doUnregisterListener(Service service, InboundEndpoint endpoint, MessageReceiver receiver)`
`String` | `getConfigurationLocation()`
`org.apache.cxf.Bus` | `getCxfBus()`
`String` | `getDefaultFrontend()`
`String` | `getProtocol()`
`protected Object` | `getReceiverKey(Service service, InboundEndpoint endpoint)` The method determines the key used to store the receiver against.
`org.apache.cxf.endpoint.Server` | `getServer(String uri)`
`boolean` | `isInitializeStaticBusInstance()`
`boolean` | `isSyncEnabled(String protocol)` Used to define is this connectors endpoints' should be synchronous by default rather than using Mule's instance wide default.
`void` | `onNotification(ServiceNotification event)`
`protected void` | `registerProtocols()`
`protected void` | `registerReceiverWithMuleService(MessageReceiver receiver, EndpointURI ep)`
`void` | `setConfigurationLocation(String configurationLocation)`
`void` | `setCxfBus(org.apache.cxf.Bus bus)`
`void` | `setDefaultFrontend(String defaultFrontend)`
`void` | `setInitializeStaticBusInstance(boolean initializeStaticBusInstance)`
`boolean` | `supportsProtocol(String protocol)`

Methods inherited from class org.mule.transport.AbstractConnector
`checkDisposed, connect, createReceiver, createScheduler, destroyReceiver, disconnect, dispatch, dispose, disposeDispatchers, disposeReceivers, disposeRequesters, disposeWorkManagers, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getExceptionListener, getMaxDispatchersActive, getMaxRequestersActive, getMessageAdapter, getMessageAdapter, getMuleContext, getName, getNumberOfConcurrentTransactedReceivers, getOutputStream, getReceiver, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialStateStopped, isResponseEnabled, isStarted, isValidateConnections, lookupReceiver, registerListener, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, send, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherThreadingProfile, setDynamicNotification, setExceptionListener, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setMuleContext, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CXF

    public static final String CXF

See Also:
  Constant Field Values

### CXF_SERVICE_COMPONENT_NAME

    public static final String CXF_SERVICE_COMPONENT_NAME

See Also:
  Constant Field Values

### CONFIGURATION_LOCATION

    public static final String CONFIGURATION_LOCATION

See Also:
  Constant Field Values

### DEFAULT_MULE_NAMESPACE_URI

    public static final String DEFAULT_MULE_NAMESPACE_URI

See Also:
  Constant Field Values

### BUS_PROPERTY

    public static final String BUS_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### CxfConnector

    public CxfConnector()

Method Detail

### registerProtocols

    protected void registerProtocols()

### supportsProtocol

    public boolean supportsProtocol(String protocol)

  Specified by:
    `supportsProtocol` in interface `Connector`
  Overrides:
    `supportsProtocol` in class `AbstractConnector`
  Returns:
    true if the protocol is supported by this connector.

### getProtocol

    public String getProtocol()

  Specified by:
    `getProtocol` in interface `Connector`
  Returns:
    the primary protocol name for endpoints of this connector

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractConnector`
  Throws:
    `InitialisationException`

### doDispose

    protected void doDispose()

  Description copied from class: `AbstractConnector`
  Template method to perform any work when destroying the connectoe

  Specified by:
    `doDispose` in class `AbstractConnector`

### doConnect

    protected void doConnect()
                      throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connections should be made for the connector

  Specified by:
    `doConnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connected resources used by the connector should be disconnected

  Specified by:
    `doDisconnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doStart

    protected void doStart()
                    throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when starting the connectoe

  Specified by:
    `doStart` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### doStop

    protected void doStop()
                   throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when stopping the connectoe

  Specified by:
    `doStop` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### getCxfBus

    public org.apache.cxf.Bus getCxfBus()

### setCxfBus

    public void setCxfBus(org.apache.cxf.Bus bus)

### getConfigurationLocation

    public String getConfigurationLocation()

### setConfigurationLocation

    public void setConfigurationLocation(String configurationLocation)

### getDefaultFrontend

    public String getDefaultFrontend()

### setDefaultFrontend

    public void setDefaultFrontend(String defaultFrontend)

### registerReceiverWithMuleService

    protected void registerReceiverWithMuleService(MessageReceiver receiver,
                                                   EndpointURI ep)
                                            throws MuleException

  Throws:
    `MuleException`

### createServiceName

    protected String createServiceName(org.apache.cxf.endpoint.Endpoint endpoint)

  Build a unique name for the endpoint that is well suited for exposure by JMX.

### getReceiverKey

    protected Object getReceiverKey(Service service,
                                    InboundEndpoint endpoint)

  The method determines the key used to store the receiver against.

  Overrides:
    `getReceiverKey` in class `AbstractConnector`
  Parameters:
    `service` - the service for which the endpoint is being registered
    `endpoint` - the endpoint being registered for the service
  Returns:
    the key to store the newly created receiver against. In this case it is the service name, which is equivilent to the Axis service name.

### onNotification

    public void onNotification(ServiceNotification event)

  Specified by:
    `onNotification` in interface `ServerNotificationListener<ServiceNotification>`

### isSyncEnabled

    public boolean isSyncEnabled(String protocol)

  Description copied from interface: `Connector`
  Used to define is this connectors endpoints' should be synchronous by default rather than using Mule's instance wide default. The endpoint is passed through to this method so that transports like Axis/CXF can determine if synchronous should be default depending on the endpoint transport e.g. http/vm/jms etc.

  Specified by:
    `isSyncEnabled` in interface `Connector`
  Overrides:
    `isSyncEnabled` in class `AbstractConnector`
  See Also:
    `ImmutableEndpoint.isSynchronous()`

### getServer

    public org.apache.cxf.endpoint.Server getServer(String uri)

### isInitializeStaticBusInstance

    public boolean isInitializeStaticBusInstance()

### setInitializeStaticBusInstance

    public void setInitializeStaticBusInstance(boolean initializeStaticBusInstance)

### doUnregisterListener

    protected void doUnregisterListener(Service service,
                                        InboundEndpoint endpoint,
                                        MessageReceiver receiver)

  Overrides:
    `doUnregisterListener` in class `AbstractConnector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.